This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 717397 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-06-28 14:25 EDT by Jóhann B. Guðmundsson
Modified: 2011-07-21 07:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 07:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Native systemd service file for capi (184 bytes, text/plain)
2011-06-28 14:26 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd unit file for isdn (546 bytes, text/plain)
2011-07-15 20:51 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-06-28 14:25:03 EDT
Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-06-28 14:26:21 EDT
Created attachment 510334 [details]
Native systemd service file for capi
Comment 2 Jóhann B. Guðmundsson 2011-06-28 14:37:56 EDT
How do you want to proceed with the isdn service is it possible to simply hardware activate it? 

Unfortunately our guidelines are a bit short on how to do that 
Hardware activation

Hardware activation occurs when a service is installed but only turns on if a certain type of hardware is installed. Enabling of the service is normally done with a udev rule. At this time we do not have further guidance on how to write those udev rules. The service itself installs its .service files in the normal places and are installed by the normal systemd scriptlets. These services should never be enabled by the package as they will be enabled by udev. 

But you can read man systemd.device and look at the bluetooth service which is doing that I believe..
Comment 3 Jóhann B. Guðmundsson 2011-07-11 11:36:19 EDT
--- Comment #3 from Jóhann B. Guðmundsson <johannbg@hi.is> 2011-07-11 11:33:50 EDT ---
What's the curent status on this?

If you dont have the time to package this make note of that on this bug and I
can see if I can find a proven packager you can package this for you...
Comment 4 Jóhann B. Guðmundsson 2011-07-11 11:36:42 EDT
frack paste fail.. ;)
Comment 5 Ngo Than 2011-07-12 10:26:33 EDT
Hi Jóhann, i just don't have time to fix this issue. It's great if we could find someone who can take care of this. Thanks

Than
Comment 6 Toshio Ernie Kuratomi 2011-07-12 12:05:23 EDT
capi.service applied and new package built for rawhide:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=3194083

The isdn service is still using SysVinit scripts so this bug still needs attention.
Comment 7 Jóhann B. Guðmundsson 2011-07-15 20:51:17 EDT
Created attachment 513459 [details]
Native systemd unit file for isdn

Remove the legacy sysv init script and install it as per this packaging guidelines [1] should work can be used as a solution until the maintainer finds time to clean that up properly port it over then we can declare the dial up group done....

http://fedoraproject.org/wiki/Libexecdir_clarification_packaging_draft
Comment 8 Ngo Than 2011-07-21 07:58:32 EDT
it's fixed in isdn4k-utils-3.2-77.fc16

Note You need to log in before you can comment on or make changes to this bug.